commit: 428f5168452714a44c3527354043ccd2f413f854
Author: NP-Hardass <NP-Hardass <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 13 00:06:15 2016 +0000
Commit: NP Hardass <np-hardass <AT> gentoo <DOT> org>
CommitDate: Sun Mar 13 00:14:55 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=428f5168
www-plugins/pipelight: Add 0.2.8.2; Add 64 bit support per #528404
Package-Manager: portage-2.2.26
www-plugins/pipelight/Manifest | 1 +
...elight-9999.ebuild => pipelight-0.2.8.2.ebuild} | 34 +++++++++++++++-------
www-plugins/pipelight/pipelight-9999.ebuild | 34 +++++++++++++++-------
3 files changed, 47 insertions(+), 22 deletions(-)
diff --git a/www-plugins/pipelight/Manifest b/www-plugins/pipelight/Manifest
index 6a74563..2887766 100644
--- a/www-plugins/pipelight/Manifest
+++ b/www-plugins/pipelight/Manifest
@@ -1,2 +1,3 @@
DIST pipelight-0.2.7.3.tar.gz 161967 SHA256
db4585f44874c0b647e7cf611b5bf8efe308fe11573891cd74dd4fa5867e2e52 SHA512
162b5f95b30c022a7f3bd821c7ba8e8af33ef0a4e2f38dff6a5da0a36725251a45b07c22c827c5a97b2320e395391f8d5c6702d3ed596e7cf66b064b2f9c8285
WHIRLPOOL
435bfb3f4fcb63b15af078da4765b0b0f1200e4691dcb3b92360cfda5f70f23c76458ff849c4a54ffab3f3f75c8d475c86c7ede6127cd57e6d34c50e1d07c367
+DIST pipelight-0.2.8.2.tar.gz 153877 SHA256
13ca5fb18cd68f63137a0dded5a4d0811aa78b033918a3331953903ced34decf SHA512
1599a7f1513e7d9bc9365bc5684050846e1827ec465103b042917963f6199d4af1d97d4943703d1e2a2dce8141c0c289b585ae485efb06b22ee30c17df465e8b
WHIRLPOOL
6342af3bbe70604eecab0f4abe194dd4b19bf899656eaf0d1951c8ebfe23df548883367cecf6d836331f364aa791003334dec10e6fb939ad9b982b7fb8a23172
DIST pipelight-0.2.8.tar.gz 153492 SHA256
ae543d6eb95b3f681bf5807de63208e42c3be2ada1d2661017ad3a215c0684c4 SHA512
927fea510912879d0c976a20088dbbbadb3a1185e248d9a2ebb0afc4219bf4bcf4691f1ada678f4ccd24ea722e108615a04764ba664d66a6e03855aa663ae373
WHIRLPOOL
16d9b8460cb1d0f00097cf92d9c4d010a3f18b4d0c8c667b03b3b613bb80931b6fcf3d19d2ee96ae405375ee60e72aa4d6e84b9137ace7c7ac7d4d139e41eaff
diff --git a/www-plugins/pipelight/pipelight-9999.ebuild
b/www-plugins/pipelight/pipelight-0.2.8.2.ebuild
similarity index 83%
copy from www-plugins/pipelight/pipelight-9999.ebuild
copy to www-plugins/pipelight/pipelight-0.2.8.2.ebuild
index 8f1557d..75380cf 100644
--- a/www-plugins/pipelight/pipelight-9999.ebuild
+++ b/www-plugins/pipelight/pipelight-0.2.8.2.ebuild
@@ -1,18 +1,18 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
-inherit multilib
+inherit multilib-build
if [ ${PV} == "9999" ] ; then
- inherit git-2
+ inherit git-r3
EGIT_REPO_URI="https://bitbucket.org/mmueller2012/${PN}.git"
else
inherit vcs-snapshot
SRC_URI="https://bitbucket.org/mmueller2012/${PN}/get/v${PV}.tar.gz ->
${P}.tar.gz"
- KEYWORDS="~amd64"
+ KEYWORDS="~amd64 ~x86"
fi
DESCRIPTION="Wine-based wrapper for running Windows plugins on POSIX systems"
@@ -20,19 +20,31 @@ HOMEPAGE="https://launchpad.net/pipelight"
LICENSE="|| ( GPL-2+ LGPL-2.1+ MPL-1.1 )"
SLOT="0"
-KEYWORDS=""
-IUSE=""
+IUSE="+abi_x86_32 abi_x86_64"
-DEPEND="app-emulation/wine[X,abi_x86_32,pipelight]"
+DEPEND="app-emulation/wine[X,${MULTILIB_USEDEP},pipelight]"
RDEPEND="${DEPEND}
app-arch/cabextract
- gnome-extra/zenity"
+ app-crypt/gnupg
+ media-fonts/corefonts
+ || (
+ gnome-extra/zenity
+ kde-apps/kdialog
+ )"
-QA_FLAGS_IGNORED="usr/share/pipelight/pluginloader.exe
- usr/share/pipelight/winecheck.exe"
+QA_FLAGS_IGNORED="usr/share/pipelight/pluginloader{,64}.exe
+ usr/share/pipelight/winecheck{,64}.exe"
src_configure() {
- econf --wine-path="${EPREFIX}/usr/bin/wine"
+ local myconf=( --wine-path="${EPREFIX}/usr/bin/wine" )
+ if use abi_x86_64; then
+ myconf+=(
+ --with-win64
+ --win64-cxx=wineg++
+ --wine64-path="${EPREFIX}/usr/bin/wine64"
+ )
+ fi
+ econf "${myconf[@]}"
}
src_install() {
diff --git a/www-plugins/pipelight/pipelight-9999.ebuild
b/www-plugins/pipelight/pipelight-9999.ebuild
index 8f1557d..75380cf 100644
--- a/www-plugins/pipelight/pipelight-9999.ebuild
+++ b/www-plugins/pipelight/pipelight-9999.ebuild
@@ -1,18 +1,18 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
-inherit multilib
+inherit multilib-build
if [ ${PV} == "9999" ] ; then
- inherit git-2
+ inherit git-r3
EGIT_REPO_URI="https://bitbucket.org/mmueller2012/${PN}.git"
else
inherit vcs-snapshot
SRC_URI="https://bitbucket.org/mmueller2012/${PN}/get/v${PV}.tar.gz ->
${P}.tar.gz"
- KEYWORDS="~amd64"
+ KEYWORDS="~amd64 ~x86"
fi
DESCRIPTION="Wine-based wrapper for running Windows plugins on POSIX systems"
@@ -20,19 +20,31 @@ HOMEPAGE="https://launchpad.net/pipelight"
LICENSE="|| ( GPL-2+ LGPL-2.1+ MPL-1.1 )"
SLOT="0"
-KEYWORDS=""
-IUSE=""
+IUSE="+abi_x86_32 abi_x86_64"
-DEPEND="app-emulation/wine[X,abi_x86_32,pipelight]"
+DEPEND="app-emulation/wine[X,${MULTILIB_USEDEP},pipelight]"
RDEPEND="${DEPEND}
app-arch/cabextract
- gnome-extra/zenity"
+ app-crypt/gnupg
+ media-fonts/corefonts
+ || (
+ gnome-extra/zenity
+ kde-apps/kdialog
+ )"
-QA_FLAGS_IGNORED="usr/share/pipelight/pluginloader.exe
- usr/share/pipelight/winecheck.exe"
+QA_FLAGS_IGNORED="usr/share/pipelight/pluginloader{,64}.exe
+ usr/share/pipelight/winecheck{,64}.exe"
src_configure() {
- econf --wine-path="${EPREFIX}/usr/bin/wine"
+ local myconf=( --wine-path="${EPREFIX}/usr/bin/wine" )
+ if use abi_x86_64; then
+ myconf+=(
+ --with-win64
+ --win64-cxx=wineg++
+ --wine64-path="${EPREFIX}/usr/bin/wine64"
+ )
+ fi
+ econf "${myconf[@]}"
}
src_install() {